#
# Conditional build:
%bcond_with	tests		# functional tests (require network)
#
%define		pdir	WebService
%define		pnam	MusicBrainz
Summary:	WebService::MusicBrainz - API to search the musicbrainz.org database
Summary(pl.UTF-8):	WebService::MusicBrainz - API do wyszukiwania w bazie danych musicbrainz.org
Name:		perl-WebService-MusicBrainz
Version:	1.0.7
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WebService/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f7ce129850e5871b756984725d64259e
# generic URL, check or change before uncommenting
URL:		https://metacpan.org/dist/WebService-MusicBrainz
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.10.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Mojo >= 7.13
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module will search the MusicBrainz database through their web
service and return objects with the found data. This module is based
on Mojolicious and implements MusicBrainz Web Service Version 2
(<https://musicbrainz.org/doc/Development/XML_Web_Service/Version_2>).

%description -l pl.UTF-8
Ten moduł przeszukuje bazę danych MusicBrainz poprzez usługę WWW i
zwraca obiekty ze znalezionymi danymi. Jest oprty na Mojolicious i
implementuje MusicBrainz Web Service w wersji 2
(<https://musicbrainz.org/doc/Development/XML_Web_Service/Version_2>).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/WebService/MusicBrainz.pm
%{perl_vendorlib}/WebService/MusicBrainz
%{_mandir}/man3/WebService::MusicBrainz*.3pm*
%changelog
* Mon Apr 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-WebService-MusicBrainz.git;a=log;h=master

* Mon Apr 07 2025 Jakub Bogusz <qboosh@pld-linux.org> 0cc9246
- new

